Subject: bug#48355: Reporting bugs

From: Pádraig Brady <[email-masked]>
Date: Wed, 12 May 2021 14:38:40 +0100

tag 48355 notabug
close 48355
stop

On 11/05/2021 16:46, tom wrote:
> Hello,
> 
> I have found some bugs within the coreutil-tools: md5sum, sha1sum,
> sha256, sha512 and b2sum. Have a look at the attached script and
> messages.txt files.

I think you're passing a malformed checksum file.
We don't currently support mixed checksum algorithms per check file cleanly.
I had a look at https://gparted.org/gparted-live/stable/CHECKSUMS.TXT
which correlates with your output and is expected.
Specifically the FAILs are coming from sha512sum as
it recognizes the b2sum entry also as it has the same digest length.
The 4 FAILs coming from b2sum arise as that algorithm supports various lengths,
and thus tries to match against all entries in the file.

cheers,
Pádraig